Subject: bug#18558: 24.4.50; Debugger slow with long strings

From: Helmut Eller <[email-masked]>
Date: Fri, 19 Feb 2016 10:15:44 +0100

On Fri, Feb 19 2016, Marcin Borkowski wrote:

> I would guess that the problem is not in long string /per se/, but with
> lon lines in the *Backtrace* buffer, i.e. probably something connected
> with the display engine.  I guess this bug should either be closed or
> merged with some other one (one of the other ones, perhaps) dealing with
> efficiency problems with long lines.

It seems very unlikely that the general "long-lines" problem of the
display engine will be fixed.  In contrast, the debugger could be
changed to not generate long lines, e.g. by truncating long string like
it does for long/cyclic lists.

Helmut